Bug 1003603 - Test suite contains hard coded strings for messages validation
Test suite contains hard coded strings for messages validation
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Testsuite (Show other bugs)
6.1.1
Unspecified Unspecified
unspecified Severity low
: ER1
: EAP 6.2.0
Assigned To: Emmanuel Hugonnet (ehsavoie)
Pavel Jelinek
:
Depends On:
Blocks: 980923
  Show dependency treegraph
 
Reported: 2013-09-02 09:19 EDT by Emmanuel Hugonnet (ehsavoie)
Modified: 2013-12-15 11:55 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-15 11:55:18 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker WFLY-1868 Major Resolved Enable build on non en_US locale machine 2013-09-24 08:14:11 EDT

  None (edit)
Description Emmanuel Hugonnet (ehsavoie) 2013-09-02 09:19:25 EDT
The tests sometimes check for error messages or prompts.
If these checks are hard coded if you are using another locale you might get the translated content which will not be validated correctly.
Removing hard coded strings in these case is a first step toward platform independence for building EAP.
Comment 2 Pavel Jelinek 2013-09-24 08:14:03 EDT
Verified for EAP 6.2.0.ER1.

Note You need to log in before you can comment on or make changes to this bug.